#include <bits/stdc++.h>

using namespace std;

int a[1000010], b[2000010], c[2000010];
int main()
{
    int n, k;
    cin >> n >> k;
    
    for(int i=1; i<=n; i++){
        cin >> a[i];
        b[a[i]]++;
    }
    
    int s=0;
    for(int i=-n; i<=n; i++)
        if(b[i]>=k){
            s++;
            c[s]=i;
        }
    
    cout << s << endl;
    for(int i=1; i<=s; i++)
        cout << c[i] << ' ';
    cout << endl;
    
    return 0;
}